Bug 234953 - SELinux is preventing /usr/lib64/xen/bin/qemu-dm (xend_t) "write" to scd0
Summary: SELinux is preventing /usr/lib64/xen/bin/qemu-dm (xend_t) "write" to scd0
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Martin Jenner
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 02:53 UTC by Skip Palin
Modified: 2008-05-07 01:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 01:24:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Selinux error (2.34 KB, application/octet-stream)
2007-04-03 02:53 UTC, Skip Palin
no flags Details

Description Skip Palin 2007-04-03 02:53:01 UTC
Description of problem:
SELinux denied access requested by /usr/lib64/xen/bin/qemu-dm. It is not
expected that this access is required by /usr/lib64/xen/bin/qemu-dm and this
access may signal an intrusion attempt. It is also possible that the
specific version or configuration of the application is causing it to
require additional access.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Skip Palin 2007-04-03 02:53:01 UTC
Created attachment 151501 [details]
Selinux error

Comment 2 Stephen Tweedie 2007-04-03 12:10:11 UTC
Detail removed from the one-line summary for clarity ---

>>>>
SELinux is preventing /usr/lib64/xen/bin/qemu-dm (xend_t) "write" to scd0     
(removable_device_t). 

Detailed Description:
SELinux denied access requested by /usr/lib64/xen/bin/qemu-dm. It is not     
expected that this access is required by /usr/lib64/xen/bin/qemu-dm and this   
  access may signal an intrusion attempt. It is also possible that the     
specific version or configuration of the application is causing it to     
require additional access.    

Allowing Access
Sometimes labeling problems can cause SELinux denials.  You could try to     
restore the default system file context for scd0, restorecon -v scd0 If this   
  does not work, there is currently no automatic way to allow this access.     
Instead,  you can generate a local policy module to allow this access - see    
 http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable   
  SELinux protection altogether. Disabling SELinux protection is not     
recommended. Please file a http://bugzilla.redhat.com/bug
>>>>


Comment 3 Matthew Miller 2007-04-10 16:27:28 UTC
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.

Comment 4 William Murray 2007-05-01 11:23:45 UTC
This is still out there, as a problem.
    Any progress? My symptoms match the above.
           Bill

Comment 5 Red Hat Bugzilla 2007-07-25 00:07:17 UTC
change QA contact

Comment 6 Bug Zapper 2008-04-03 23:54:51 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Bug Zapper 2008-05-07 01:24:26 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.